/*
 * TkResolver++ - Psychokinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __TK_DEBUG_H__
#define __TK_DEBUG_H__

#include <wchar.h>

#include <iostream>

namespace Tk {

#define WDEBUG_OUT (std::wcerr       \
		    << __FILE__      \
		    << ":"           \
		    << __LINE__      \
		    << ":"           \
		    << __FUNCTION__  \
		    << ": ") 
#define WDEBUG_STRM std::wcerr

#define DEBUG_OUT (std::cerr        \
		   << __FILE__      \
		   << ":"           \
		   << __LINE__      \
		   << ":"           \
		   << __FUNCTION__  \
		   << ": ") 
#define DEBUG_STRM std::cerr

		   
};


#endif /* __TK_DEBUG_H__ */
